Subject: [hrpc] Review of draft-irtf-hrpc-political-01

From: Michael Rogers <[email-masked]>
Date: Wed, 6 Mar 2019 16:53:29 +0000

Hi all,

Neils and Mallory asked me to review the current draft of "Notes on
networking standards and politics".

I'm afraid I went a bit overboard and recommended that it should be
rewritten as a musical about a plucky kid lost in the big city and her
scruffy dog sidekick, so please take my comments with plenty of salt.

The review's attached, along with a diff against the markdown source
containing some minor edits to spelling, punctuation and wording.

Cheers,
Michael
63c63
<      title: "Internationalization of the Internet by design: The first decade "
---
>      title: "Internationalization of the Internet by design: The first decade"
242c242
<       title: "Upon openig the black box and finding it empty: Social constructivism and the philosophy of technology"
---
>       title: "Upon opening the black box and finding it empty: Social constructivism and the philosophy of technology"
287c287
< The IETF cannot ordain which standards or protocols are to be used on network, but the standards developing process in the IETF has a normative effect. Among other things the standardisation work at the IETF has implications on what is perceived as technologically possible and useful where networking technologies are being deployed, and its standards output reflect was is considered by the technical community as feasible and good practice. Because it mediates many aspects of modern life, and therefore contributes to the ordering of societies and communities, the consideration of the politics and (potential) impact of protocols should be part of the standardization and development process. If the technical community refuses to take up this responsibility, it should accept that others, such as governments, will take up this role. 
---
> The IETF cannot ordain what standards or protocols are to be used on networks, but the standards development process in the IETF has a normative effect. Among other things, the IETF's work affects what is perceived as technologically possible and useful where networking technologies are being deployed, and its standards reflect what is considered by the technical community to be feasible and good practice. Because the IETF's protocols mediate many aspects of modern life, and therefore contribute to the ordering of societies and communities, the consideration of the potential social impact of protocols should be part of the standardization and development process.
306c306
< The design of the Internet through protocols and standards is a technical issue with great political and economic impacts {{RFC0613}}. The early Internet community already realized that it needed to make decisions on political issues such as Intellectual Property, Internationalization {{BramanI}}, diversity, access {{RFC0101}} privacy and security {{RFC0049}}, and the military {{RFC0164}} {{RFC0316}}, governmental {{RFC0144}} {{RFC0286}} {{RFC0313}} {{RFC0542}} {{RFC0549}} and non-governmental {{RFC0196}} uses, which has been clearly pointed out by Braman {{BramanII}}.
---
> The design of the Internet through protocols and standards is a technical issue with great political and economic impacts {{RFC0613}}. The early Internet community already realized that it needed to make decisions on political issues such as intellectual property; internationalization {{BramanI}}; diversity; access {{RFC0101}}; privacy and security {{RFC0049}}; and the military {{RFC0164}} {{RFC0316}}, governmental {{RFC0144}} {{RFC0286}} {{RFC0313}} {{RFC0542}} {{RFC0549}} and non-governmental {{RFC0196}} uses of the network. This has been clearly pointed out by Braman {{BramanII}}.
308c308
< Recently there has been an increased discussion on the relation between Internet protocols and human rights {{RFC8280}} which spurred the discussion on the the value neutrality and political nature of standards. The network infrastructure is on the one hand designed, described, developed, standardized and implemented by the Internet community, but the Internet community and Internet users are also shaped by the affordances of the technology. Companies, citizens, governments, standards developing bodies, public opinion and public interest groups all play a part in these discussions. In this document we aim to outline different views on the relation between standards and politics and seek to answer the question whether standards are political, and if so, how.
---
> Recently there has been increased discussion of the relation between Internet protocols and human rights {{RFC8280}}, which spurred discussion of the value neutrality and political nature of standards. The network infrastructure is on the one hand designed, described, developed, standardized and implemented by the Internet community, while on the other hand the Internet community and Internet users are also shaped by the affordances of the technology. Companies, citizens, governments, standards development bodies, public opinion and public interest groups all play a part in these discussions. In this document we aim to outline different views on the relation between standards and politics, and seek to answer the question of whether standards are political, and if so, how.
317c317
< : The possibilities that are provided to an actors through the ordering of an environment by a technology.
---
> : The possibilities that are provided to an actor through the ordering of an environment by a technology.
329c329
< Are protocols political? If so, should the politics of protocols need to be taken into account in their development process?
---
> Are protocols political? If so, should the politics of protocols be taken into account in their development process?
334c334
< In 1993 the Computer Professionals for Social Responsibility stated that 'the Internet should meet public interest objectives', similarly {{RFC3935}} states that 'The Internet isn't value-neutral, and neither is the IETF.'. Ethics and the Internet was already a topic of an RFC by the IAB in 1989 {{RFC1097}}. Nonetheless there has been a recent uptick in discussions around the impact of Internet protocols on human rights {{RFC8280}} in the IETF and more general about the impact of technology on society in the public debate.
---
> In 1993 the Computer Professionals for Social Responsibility stated that 'the Internet should meet public interest objectives'. Similarly, {{RFC3935}} states that 'The Internet isn't value-neutral, and neither is the IETF.'. Ethics and the Internet was already a topic of an RFC by the IAB in 1989 {{RFC1097}}. Nonetheless there has been a recent uptick in discussions within the IETF about the impact of Internet protocols on human rights {{RFC8280}}, and more generally in public debate about the impact of technology on society.
336,337c336,338
< This document aims to provide an overview of the spectrum of different positions that have been observed in the IETF and IRTF community, during participatory observation, through 39 interviews with members of the community, the Human Rights Protocol Considerations Research Group mailinglist and during and after the Technical Plenary on Protocols and Human Rights during IETF98.
< Without judging them on their internal or external consistency they are represented here, where possible we sought to engage with academic literature on this topic.
---
> This document aims to provide an overview of the spectrum of different positions that have been observed in the IETF and IRTF community. These positions were observed during participatory observation, through 39 interviews with members of the community, the Human Rights Protocol Considerations Research Group mailing list, and during and after the Technical Plenary on Protocols and Human Rights during IETF98.
> 
> Without judging them on their internal or external consistency they are represented here. Where possible we also sought to engage with the academic literature on this topic.
340c341
< This position starts from the premise that the technical and political are differentiated fields and that technology is 'value free'. This is also put more explicitly by Carey: "electronics is neither the arrival of apocalypse nor the dispensation of  grace.  Technology  is  technology;  it  is  a  means  for  communication  and  transportation  over  space, and nothing more." {{Carey}}. In this view protocols only become political when it is actually being used by humans. So the technology itself is not political, the use of the technology is. This view sees technology as instrument; "technologies  are  'tools' standing  ready  to  serve  the  purposes  of  their  users.  Technology  is  deemed  'neutral,' without valuative content of its own.'" {{Feenberg}}. Feenberg continues: "technology  is  not  inherently  good  or  bad,  and  can  be  used  to  whatever  political  or  social  ends  desired  by  the  person  or  institution  in  control.  Technology  is  a  ‘rational entity’ and universally applicable. One may make exceptions on moral grounds, but one must also understand that the "price for the achievement of environmental, ethical, or religious goals...is reduced efficiency." {{Feenberg}}.
---
> This position starts from the premise that the technical and political are differentiated fields and that technology is 'value free'. This is also put more explicitly by Carey: "electronics is neither the arrival of apocalypse nor the dispensation of  grace.  Technology  is  technology;  it  is  a  means  for  communication  and  transportation  over  space, and nothing more." {{Carey}}. In this view protocols only become political when it is actually being used by humans. So the technology itself is not political, the use of the technology is. This view sees technology as instrument; "technologies  are  'tools' standing  ready  to  serve  the  purposes  of  their  users.  Technology  is  deemed  'neutral,' without valuative content of its own.'" {{Feenberg}}. Feenberg continues: "technology  is  not  inherently  good  or  bad,  and  can  be  used  to  whatever  political  or  social  ends  desired  by  the  person  or  institution  in  control.  Technology  is  a  'rational entity' and universally applicable. One may make exceptions on moral grounds, but one must also understand that the "price for the achievement of environmental, ethical, or religious goals...is reduced efficiency." {{Feenberg}}.
342c343
< ## Some protocols are political some times
---
> ## Some protocols are political sometimes
353c354
< In the same way --in another and more recent example-- the very existence automobiles impose physical forms on the world different from those that come from the electric tram or the horse-cart. The logic of the automobile means speed and the rapid covering of distance, which encourages suburban development and a tendency toward conurbation. But even if that did not happen, widespread automobile use requires paved roads, and parking lots and structures. These are pressures that come from the automotive technology itself, and would not arise without that technology.
---
> In the same way -- in another and more recent example -- the very existence of automobiles imposes physical forms on the world different from those that come from the electric tram or the horse-cart. The logic of the automobile means speed and the rapid covering of distance, which encourages suburban development and a tendency toward conurbation. But even if that did not happen, widespread automobile use requires paved roads, and parking lots and structures. These are pressures that come from the automotive technology itself, and would not arise without that technology.
355c356
< In much same way, then, networking technology, such as protocols, creates its own demands. One of the most important conditions for protocol success is its incremental deployability {{RFC5218}}.  This means that the network already contains constraints on what can be deployed into it. In this sense the network creates its own paths, but also has its own objective. According to this view the goal of the network is interconnection and connectivity; more connectivity is good for the network. Proponents of this positions also often describe the Internet as an organism with its own unique ecosystem.
---
> In much same way, then, networking technology, such as protocols, creates its own demands. One of the most important conditions for a protocol's success is its incremental deployability {{RFC5218}}.  This means that the network already contains constraints on what can be deployed into it. In this sense the network creates its own paths, but also has its own objective. According to this view the goal of the network is interconnection and connectivity; more connectivity is good for the network. Proponents of this positions also often describe the Internet as an organism with its own unique ecosystem.
357c358
< In this position it is not necessarily clear where the 'social' ends and the 'technical' begins, and it could be argued that the distinction itself is a social construction {{BijkerLaw}} or that a real-life distinction between the two is hard to be made {{Bloor}}.
---
> In this position it is not necessarily clear where the 'social' ends and the 'technical' begins, and it could be argued that the distinction itself is a social construction {{BijkerLaw}} or that a real-life distinction between the two is hard to make {{Bloor}}.
360c361
< This position argues the opposite of 'technological neutrality'. This position can be illustrated with Postman where he writes: 'the uses made of technology are largely determined by the structure of the technology itself' {{Postman}}. He states that the medium itself 'contains an ideological bias'. He continues to argue that technology is non-neutral:
---
> This position argues the opposite of 'technological neutrality'. This position is illustrated by Postman when he writes: "the uses made of technology are largely determined by the structure of the technology itself" {{Postman}}. He states that the medium itself "contains an ideological bias". He continues to argue that technology is non-neutral:
368c369
< Recent scholars of Internet infrastructure and governance have also pointed out that Internet processes and standards have become part and parcel of political processes and public policies. Several concrete examples are found within this approach, for instance, the IANA transition or global innovation policy {{DeNardis}}. The Raven process in which the IETF refused to standardize wiretapping --which resulted in {{RFC2804}}-- was an instance where an international governance body took a position that was largely political, although driven by a technical argument. The process that led to {{RFC6973}} is similar: the Snowden disclosures which occured in the political space, engendered the IETF to act. This is summarized in {{Abbate}} who says: "protocols are politics by other means", emphasizing the interests that are at play in the process of designing standards.
---
> Recent scholars of Internet infrastructure and governance have also pointed out that Internet processes and standards have become part and parcel of political processes and public policies. Several concrete examples are found within this approach, for instance, the IANA transition or global innovation policy {{DeNardis}}. The Raven process in which the IETF refused to standardize wiretapping -- which resulted in {{RFC2804}} -- was an instance where an international governance body took a position that was largely political, although driven by a technical argument. The process that led to {{RFC6973}} is similar: the Snowden disclosures, which occured in the political space, engendered the IETF to act. This is summarized in {{Abbate}} who says: "protocols are politics by other means," emphasizing the interests that are at play in the process of designing standards.
370c371
< This position further holds that protocols can never be understood without their contextual embeddedness: protocols do not exist solely by themselves but always are to be understood in a more complex context -- the stack, hardware, or nation-state interests and their impact on civil rights. Finally, this view is that that protocols are political because they affect or sometimes effect the socio-technical ordering of reality. The latter observation leads Winner to conclude that the reality of technological progress has too often been a scenario where the innovation has dictated change for society. Those who had the power to introduce a new technology also had the power to create a consumer class  to  use  the  technology ‘with new practices, relationships, and identities supplanting the old, ---and those who had the wherewithal to implement new technologies often molded society to match the needs of emerging technologies and organizations.’ {{Winner}}.
---
> This position further holds that protocols can never be understood without their contextual embeddedness: protocols do not exist solely by themselves but always are to be understood in a more complex context -- the stack, hardware, or nation-state interests and their impact on civil rights. Finally, this view is that protocols are political because they affect or sometimes effect the socio-technical ordering of reality. The latter observation leads Winner to conclude that the reality of technological progress has too often been a scenario where innovation has dictated change for society. Those who had the power to introduce a new technology also had the power to create a consumer class to use the technology "with new practices, relationships, and identities supplanting the old, --- and those who had the wherewithal to implement new technologies often molded society to match the needs of emerging technologies and organizations." {{Winner}}.
377c378
< Standards enabling interoperating networks, what we think of today as the Internet, were created as open, formal and voluntary standards. A platform for internet standardisation, the Internet Engineering Task Force (IETF), was created in 1986 to enable the continuation of such standardisation work. The IETF has sought to make the standards process transparent (by ensuring everyone can access standards, mailing-lists and meetings), predictable (by having clear procedures and reviews) and of high quality (by having draft documents reviewed by members from its own epistemic community). This is all aimed at increasing the accountability of the process and the quality of the standard.
---
> Standards enabling interoperating networks, what we think of today as the Internet, were created as open, formal and voluntary standards. A platform for Internet standardization, the Internet Engineering Task Force (IETF), was created in 1986 to enable the continuation of such standardization work. The IETF has sought to make the standards process transparent (by ensuring everyone can access standards, mailing-lists and meetings), predictable (by having clear procedures and reviews) and of high quality (by having draft documents reviewed by members from its own epistemic community). This is all aimed at increasing the accountability of the process and the quality of the standard.
379c380
< The IETF implements what has been referred to as an "informal ex ante disclosure policy" for patents {{Contreras}}, which includes the possibility for participants to disclose the existence of a patent relevant for the standard, royalty-terms which would apply to the implementors of that standard should it enter into effect, as well as other licensing terms that may be interesting for implementors to know. The community ethos in the IETF seems to lead to 100% royalty-free disclosures of prior patents which is a record number, even among other comparable standard organisations {{Contreras}}. In the following paragraph we will describe inherent tensions in the standards process.
---
> The IETF implements what has been referred to as an "informal ex ante disclosure policy" for patents {{Contreras}}, which includes the possibility for participants to disclose the existence of a patent relevant for the standard, royalty-terms which would apply to the implementers of that standard should it enter into effect, as well as other licensing terms that may be interesting for implementers to know. The community ethos in the IETF seems to lead to 100% royalty-free disclosures of prior patents which is a record number, even among other comparable standard organizations {{Contreras}}. In the following paragraph we will describe inherent tensions in the standards process.
385c386
< On the first types of standards than can be found are "informal" ones --agreed upon normal ways of interacting within a specific community. For example, the process through which greetings to a new acquaintance are expressed through a bow, a handshake or a kiss. On the other hand "formal" standards, are normally codified in writing. The next subsection will ----
---
> On the first types of standards than can be found are "informal" ones -- agreed-upon normal ways of interacting within a specific community. For example, the process through which greetings to a new acquaintance are expressed through a bow, a handshake or a kiss. On the other hand, "formal" standards are normally codified in writing.
387c388
< Within economy studies, _de facto_ standards arise in market situations where one entity is particularly dominant; downstream competitors are therefore tied to the dominant entity's technological solutions {{Ahlborn}}. Under EU anti-trust law, de facto standards have been found to restrict competition for downstream services in PC software products {{CJEU2007}}, as well as downstream services dependent on health information {{CJEU2004}}.
---
> Within economy studies, _de facto_ standards arise in market situations where one entity is particularly dominant; downstream competitors are therefore tied to the dominant entity's technological solutions {{Ahlborn}}. Under EU anti-trust law, _de facto_ standards have been found to restrict competition for downstream services in PC software products {{CJEU2007}}, as well as downstream services dependent on health information {{CJEU2004}}.
389c390
< Even in international law, the World Trade Organisation (WTO) uses standards, although it recognises a difference between standards and technical regulations. The former are voluntary formal codes to which products or services may conform, while technical regulations are mandatory requirements to be fullfilled for a product to be accessible on one of the WTO country markets. These rules have implications for how nation states bounded by the WTO agreements can impose specific technical requirements on companies. Nonetheles, there are many standardisation groups that were originally launched by nation states or groups of nation states. ISO, BIS, CNIS, NIST, ABNT and ETSI are examples of institutions that are, wholly or partially, sponsored by public money in order to ensure smooth development of formal standards. Even if under WTO rules these organisations cannot create the equivalent of a technical regulation, they have important normative functions in their respective countries. No matter what form, all standards enhance competition and collaboration because they define a common approach to a problem. This potentially allows different instances to interoperate or be evaluated according to the same indicators.
---
> Even in international law, the World Trade Organization (WTO) uses standards, although it recognizes a difference between standards and technical regulations. The former are voluntary formal codes to which products or services may conform, while technical regulations are mandatory requirements to be fullfilled for a product to be accessible in a national market. These rules have implications for how nation states bound by WTO agreements can impose specific technical requirements on companies. Nonetheless, there are many standardization groups that were originally launched by nation states or groups of nation states. ISO, BIS, CNIS, NIST, ABNT and ETSI are examples of institutions that are, wholly or partially, sponsored by public money in order to ensure the smooth development of formal standards. Even if under WTO rules these organizations cannot create the equivalent of a technical regulation, they have important normative functions in their respective countries. No matter what form, all standards enhance competition and collaboration because they define a common approach to a problem. This potentially allows different instances to interoperate or be evaluated according to the same indicators.
391c392
< The development of formal standards faces a number of economic and organisational challenges. Mainly, the cost and difficulty of organising many entities around a mutual goal, as well as the cost of research and development leading up to a mutually beneficial technological platform. In addition, deciding what the mutual goal is can also be a problem. These challenges may be described as inter-organisational costs. Even after a goal is decided upon, coordination of multiple entities requires time and money. One needs communication platforms, processes and a commitment to mutual investment in a higher good. They are not simple tasks, and the more different communities are affected by a particular standardisation process, the more difficult the organisational challenges become.
---
> The development of formal standards faces a number of economic and organizational challenges. Mainly, the cost and difficulty of organizing many entities around a mutual goal, as well as the cost of research and development leading up to a mutually beneficial technological platform. In addition, deciding what the mutual goal is can also be a problem. These challenges may be described as inter-organizational costs. Even after a goal is decided upon, coordination of multiple entities requires time and money. One needs communication platforms, processes and a commitment to mutual investment in a higher good. They are not simple tasks, and the more different communities are affected by a particular standardization process, the more difficult the organizational challenges become.
395c396
< In the specific case of the IETF there is a strong community ethos and transparent procedures, which are documented in RFCs. Nonetheless, the IETF is not immune to externalities. We will describe several of these externalities underneath.
---
> In the specific case of the IETF there is a strong community ethos and transparent procedures, which are documented in RFCs. Nonetheless, the IETF is not immune to externalities. We will describe several of these externalities below.
401c402
< The need for interoperability, and backward compatability makes engineering work harder. And once a standard is designed, it does not automatically mean it will be broadly adopted at a fast pace. Examples of this are IPv6, DNSSEC, DKIM, etc. The need for interoperability means that a new protocol needs to take into account a much more diverse environment than early protocols, and also be amendable to different needs: protocols needs to relate and negotiate in a busy agora, as do the protocol developers. This means that some might get priority, whereas others get dropped.
---
> The need for interoperability and backward compatability makes engineering work harder. And once a standard is designed, it does not automatically follow that it will be broadly adopted at a fast pace. Examples of this are IPv6, DNSSEC, DKIM, etc. The need for interoperability means that a new protocol needs to take into account a much more diverse environment than early protocols, and also be amenable to different needs: protocols need to relate and negotiate in a busy agora, as do the protocol developers. This means that some might get priority, whereas others get dropped.
410c411
<    "As unequal participants compete to define standards, technological compromises emerge, which add complexity to standards. For instance, when working group participants propose competing solutions, it may be easier for them to agree on a standard that combines all the proposals rather than choosing any single proposal. This shifts the responsibility for selecting a solution onto those who implement the standard, which can lead to complex implementations that may not be interoperable. On its face this appears to be a failure of the standardization process, but this outcome may benefit certain participants— for example, by allowing an implementer with large market share to establish a de facto standard within the scope of the documented standard."
---
>    "As unequal participants compete to define standards, technological compromises emerge, which add complexity to standards. For instance, when working group participants propose competing solutions, it may be easier for them to agree on a standard that combines all the proposals rather than choosing any single proposal. This shifts the responsibility for selecting a solution onto those who implement the standard, which can lead to complex implementations that may not be interoperable. On its face this appears to be a failure of the standardization process, but this outcome may benefit certain participants -- for example, by allowing an implementer with large market share to establish a _de facto_ standard within the scope of the documented standard."
416c417
< It is indisputable that the Internet plays an increasingly important role in the lives of individuals.  The community that produces standards for the Internet therefore also has an impact on society, which it itself has recognised in a number of previously adopted documents {{RFC1958}}.
---
> It is indisputable that the Internet plays an increasingly important role in the lives of individuals.  The community that produces standards for the Internet therefore also has an impact on society, which has been recognized in a number of previously adopted documents {{RFC1958}}.
418c419
< The IETF cannot ordain which standards are to be used on the networks, and it specifically does not determine the laws of regions or countries where networks are being used, but it does set open standards for interoperability on the Internet, and has done so since the inception of the Internet. Because a standard is the blue-print for how to accomplish a particular task in a similar way to others, the standards adopted have a normative effect. The standardisation work at the IETF will have implications on what is perceived as technologically possible and useful where networking technologies are being deployed, and its standards output reflect was is considered by the technical community as feasible and good practice.
---
> The IETF cannot ordain which standards are to be used on the networks, and it specifically does not determine the laws of regions or countries where networks are being used, but it does set open standards for interoperability on the Internet, and has done so since the inception of the Internet. Because a standard is the blue-print for how to accomplish a particular task in a similar way to others, the standards adopted have a normative effect. The standardization work at the IETF will have implications on what is perceived as technologically possible and useful where networking technologies are being deployed, and its standards reflect what is considered by the technical community as feasible and good practice.
429c430,434
< Economics, competition, collaboration, openness, and political impact have been an inherent part of the work of the IETF since its early beginnings, by its nature as standards developing organization, through the contributions of the members of the Internet community, and because the ordering effect the Internet has on society. Whereas there might not be agreement in the Internet community on what the specific political nature is of technological development, it is undisputed that standards and protocols are both product of a political process, and they can also be used for political means. Therefore protocols and standards are not value neutral. Whereas there is no need for a unified philosophy of Internet protocols, it is in the benefit of the IETF, the Internet and arguably society at large to take this into account in the standards development process. It can be expected that if the IETF will not take these issues into account, this might lead to interventions in the form of policies and regulations for instance through governmental or intergovernmental bodies, which could hamper the work of the IETF. 
---
> Economics, competition, collaboration, openness, and political impact have been an inherent part of the work of the IETF since its early beginnings, by its nature as a standards development organization, through the contributions of the members of the Internet community, and because of the ordering effect the Internet has on society.
> 
> Whereas there might not be agreement in the Internet community on what the specific political nature is of technological development, it is undisputed that standards and protocols are both products of a political process, and they can also be used for political means. Therefore protocols and standards are not value neutral. Whereas there is no need for a unified philosophy of Internet protocols, it is to the benefit of the IETF, the Internet and arguably society at large to take this into account in the standards development process.
> 
> It can be expected that if the IETF will not take these issues into account, this might lead to interventions in the form of policies and regulations, for instance through governmental or intergovernmental bodies, which could hamper the work of the IETF. 
436c441
< Since 'de facto standardization is reliant on market forces' {{Hanseth}} we need to live with the fact standards bodies have a political nature {{Webster}} and are not value neutral. This does not need to be problematic as long as there are sufficient accountability and transparency mechanisms in place. The importance of these mechanisms increases with the importance of the standards and their implementations. The complexity of the work inscribes a requirement of competence in the work in the IETF, which forms an inherent barrier for end-user involvement. Even though this might not be intentional, it is a result of the interplay between the characteristics of the epistemic community in the IETF and the nature of the standard setting process.
---
> Since "de facto standardization is reliant on market forces" {{Hanseth}} we need to live with the fact that standards bodies have a political nature {{Webster}} and are not value neutral. This does not need to be problematic as long as there are adequate accountability and transparency mechanisms in place. The importance of these mechanisms increases with the importance of the standards and their implementations. The complexity of the work inscribes a requirement of competence in the work of the IETF, which forms an inherent barrier for end-user involvement. Even though this might not be intentional, it is a result of the interplay between the characteristics of the epistemic community in the IETF and the nature of the standards setting process.
438c443
< Instead of splitting hairs about whether 'standards are political' {{Winner}} {{Woolgar}} we argue that we need to look at the politics of individual standards and invite document authors and reviewers to take these dynamics into account. If the Internet community fails to do so, this could undermine the current regime of Internet governance and standard setting.
---
> Instead of splitting hairs about whether "standards are political" {{Winner}} {{Woolgar}} we argue that we need to look at the politics of individual standards and invite document authors and reviewers to take these dynamics into account. If the Internet community fails to do so, this could undermine the current regime of Internet governance and standards setting.

---

From: Niels ten Oever <[email-masked]>
Date: Thu, 7 Mar 2019 13:17:29 +0100

Dear Michael,

Thanks a lot for this very thorough and detailed review! This is much more than we could have wished for. Please allow me some time to address your comments and suggestions.

Best,

Niels

On 3/6/19 5:53 PM, Michael Rogers wrote:
> _______________________________________________
> hrpc mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/hrpc
> 

-- 
Niels ten Oever
Researcher and PhD Candidate
DATACTIVE Research Group
University of Amsterdam

PGP fingerprint	   2458 0B70 5C4A FD8A 9488  
                   643A 0ED8 3F3A 468A C8B3

---

From: Mallory Knodel <[email-masked]>
Date: Tue, 19 Mar 2019 10:42:43 +0300

Hi Michael,

I want to echo Niels in saying that this thorough review is both
unexpected and very welcome! I'm looking forward to the next version
after incorporating this feedback.

-Mallory

On 07/03/2019 15:17, Niels ten Oever wrote:
> Dear Michael,
> 
> Thanks a lot for this very thorough and detailed review! This is much
> more than we could have wished for. Please allow me some time to
> address your comments and suggestions.
> 
> Best,
> 
> Niels
> 
>> Neils and Mallory asked me to review the current draft of "Notes
>> on networking standards and politics".
>> 
>> I'm afraid I went a bit overboard and recommended that it should
>> be rewritten as a musical about a plucky kid lost in the big city
>> and her scruffy dog sidekick, so please take my comments with
>> plenty of salt.
>> 
>> The review's attached, along with a diff against the markdown
>> source containing some minor edits to spelling, punctuation and
>> wording.
>> 
>> Cheers, Michael
>> 
>> 
>> _______________________________________________ hrpc mailing list 
>> [email-masked] https://www.irtf.org/mailman/listinfo/hrpc
>> 
> 
> 
> _______________________________________________ hrpc mailing list 
> [email-masked] https://www.irtf.org/mailman/listinfo/hrpc
> 

-- 
Mallory Knodel
Head of Digital :: article19.org
gpg fingerprint :: E3EB 63E0 65A3 B240 BCD9  B071 0C32 A271 BD3C C780

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Thu, 28 Mar 2019 03:43:24 -0400

Heya, I want to thank Michael for this review and I just reviewed the
document this week myself (sorry so close to the HRPC meeting... I'm fresh
off of sabbatical and focusing on the iasa2 work for a few years).

Here are my comments, let me know if they make sense:

   - draft-irtf-hrpc-political-00
   -
      - Abstract:
      -
         - s/standards developing process/standards development process/
         - s/reflect was is considered/reflect what is considered/
         - "ordering of societies and communities" I don't think this will
         be clear to an engineering audience; we say this not just in
this draft but
         elsewhere too (-guidelines). There has to be a more
understandable way to
         say this if we're talking to IETF engineers.
         - "the consideration of the politics and (potential) impact of
         protocols should be part of the standardization and development
         process." This seems overly prescriptive and not a research
result, but a
         normative claim on changes to the IETF process; I think this
is out of line
         for an RG.
         - Intro
      -
         - This provides a useful list of past IETF RFCs that had to
         struggle with non-engineering factors in standards setting,
but then says,
         "Recently there has been an increased discussion on the
relation between
         Internet protocols and human rights [RFC8280]", pointing to
the HRPC IRTF
         RFC... I think this needs to qualify that this discussion had
happened in
         the IRTF and not ubiquitously across the IETF.
         - Would be great to find a more plain language way of saying
         "affordances". I'm not convinced the definition in the
terminology section
         is comprehensible to engineers. ("The possibilities that are
provided to an
         actors through the ordering of an environment by a technology.")
         - Terminology: there's no IETF-based document that defines
      "protocol"? I would swap with one or zap both protocols and
standards using
      the rationale Michael Rogers put forward (IETFers know what those are).
      - Research Question:
      -
         - It seems like the second part of the research question is
         getting close to stepping on IETF territory... And the
document doesn't
         *research* this question: "If so, should the politics of
protocols need to
         be taken into account in their development process?"
         - Section 4:
      -
         - This needs to be clear this discussion has happened at IRTF, not
         IETF or needs to cite more evidence: "Nonetheless there has been a
         recent uptick in discussions around the impact of Internet protocols
         on human rights [RFC8280] in the IETF and more general about
the impact of
         technology on society in the public debate."
         - This section is unclear in terms of if these are all academic or
         IETF-external views... the intro to this section seems to
overclaim about
         what the reader should expect. E.g., 4.2 and 4.3 have no
references; are
         any of these themes from community interviews or solely from the
         literature?
         -
            - This doesn't seem to reference interviews at all, so maybe
            clarify this is from academic and other literature?
            - Would be great to find a more simple term than "conurbation".
         - 4.3: this is perhaps a minor point, but even horse-powered
         vehicle culture at scale would require these things, so it's not
         self-evident this claim is true: "But even if that did not happen,
         widespread automobile use requires paved roads, and parking lots and
         structures.  These are pressures that come from the
automotive technology
         itself, and would not arise without that technology." (I
don't think this
         undermines the point being made here, but it's distracting.)
         - 4.5: the entire paragraph about the numbered Postman arguments
         is pretty opaque and needs the authors to unpack that or is
not relevant to
         engineers. I think you can delete this graph without much effect.
         - Again, this is a bit too abstract and could be stated more
         simply and concretely: "Finally, this view is that that protocols are
         political because they affect or sometimes effect the socio-technical
         ordering of reality."
         - Section 5:
      -
         - We either need to find a new way of saying "epistemic community"
         or define it.
         - 5.1: not sure what's going on here: "The next subsection will
         ---"
         - 5.1: is "economy studies" different from economics?
         - The ref to draft-arkko-ietf-finance-thoughts-00 is broken
         somehow
         - Agora? What is that?
         - Section 6:
      -
         - s/its standards output reflect was is considered by the
         technical community/its standards output reflect what is
considered by the
         technical community/
         - This is where the draft makes a leap that I think is too far:
         "This calls for providing a methodology in the IETF community
to evaluate
         which routes forward should indeed be feasible, what
constitutes the "good"
         in "good practice" and what trade-offs between different
feasible features
         of technologies are useful and should therefore be made
possible. Such an
         analysis should take societal implication into account." Only IETF
         consensus can get us to this and that's not going to come from an RG.
         -
            - While I agree that it's inevitable that these factors will
            affect and need to affect IETF work, I'm not sure it needs
to be done in
            the IETF (it can be an external body or some other entity
that concentrates
            expertise) and I'm not convinced that the IETF
participants will be on
            balance very good at this, given their collective
expertise is largely
            engineering.
            - I think this could be substantially elaborated/expanded and
         then be very useful: "The risk of not doing this is
threefold: (1) the IETF
         might makedecisions which have a political impact that was
not intended by
         thecommunity, (2) other bodies or entities might make the
decisions forthe
         IETF because the IETF does not have an explicit stance, (3)
otherbodies
         that do take these issues into account might increase
inimportance to the
         detriment of the influence of the IETF."
         - Section 7:
   -
      - s/United National/United Nations/
      - Unclear what this means, reword: "The complexity of the work
      inscribes a requirementof competence in the work in the IETF, which forms
      an inherentbarrier for end-user involvement."

-- 
Joseph Lorenzo Hall
Chief Technologist, Center for Democracy & Technology [https://www.cdt.org]
1401 K ST NW STE 200, Washington DC 20005-3497
e: [email-masked], p: 202.407.8825, pgp: https://josephhall.org/gpg-key
Fingerprint: 3CA2 8D7B 9F6D DBD3 4B10  1607 5F86 6987 40A9 A871

Don't miss out! CDT's Tech Prom is April 10, 2019, at The
Anthem. Please join us: https://cdt.org/annual-dinner/